QXmpp: QXmppJingleMessageInitiationManager Class Reference

QXmpp Version: 1.14.4

Loading...
Searching...
No Matches
QXmppJingleMessageInitiationManager Class Reference

The QXmppJingleMessageInitiationManager class makes it possible to retrieve Jingle Message Initiation elements as defined by XEP-0353: Jingle Message Initiation. More...

Inheritance diagram for QXmppJingleMessageInitiationManager:

## Public Types
using | ProposeResult = std::variant<std::shared_ptr<QXmppJingleMessageInitiation>, QXmppError>

## Public Member Functions
QXmppTask< ProposeResult > | propose (const QString &remoteJid, const QXmppJingleRtpDescription &description)
QXmppTask< ProposeResult > | propose (const QString &remoteJid, const QList< QXmppJingleRtpDescription > &descriptions)
Q_SIGNAL void | proposed (const std::shared_ptr< QXmppJingleMessageInitiation > &jmi, const QString &id, const std::optional< QXmppJingleRtpDescription > &description)
Q_SIGNAL void | proposeReceived (const std::shared_ptr< QXmppJingleMessageInitiation > &jmi, const QString &id, const QList< QXmppJingleRtpDescription > &descriptions)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList< QXmppDiscoIdentity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)
| You need to implement this method to process incoming XMPP stanzas.
virtual bool | handleStanza (const QDomElement &stanza, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)
Q_SIGNAL void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
Q_SIGNAL void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
Q_SIGNAL void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.
Public Member Functions inherited from QXmppMessageHandler
virtual bool | handleMessage (const QXmppMessage &)=0

## Friends
class | QXmppJingleMessageInitiationPrivate
class | tst_QXmppJingleMessageInitiationManager

## Additional Inherited Members
Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client () const
virtual void | setClient (QXmppClient *client)
virtual void | onRegistered (QXmppClient *client)
virtual void | onUnregistered (QXmppClient *client)
void | injectIq (const QDomElement &element, const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
bool | injectMessage (QXmppMessage &&message)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
| Logs a debugging message.
void | info (const QString &message)
| Logs an informational message.
void | warning (const QString &message)
| Logs a warning message.
void | logReceived (const QString &message)
| Logs a received packet.
void | logSent (const QString &message)
| Logs a sent packet.

## Detailed Description

The QXmppJingleMessageInitiationManager class makes it possible to retrieve Jingle Message Initiation elements as defined by XEP-0353: Jingle Message Initiation.

Since
  QXmpp 1.6

## Member Typedef Documentation

## ◆ ProposeResult

using QXmppJingleMessageInitiationManager::ProposeResult = std::variant<std::shared_ptr<QXmppJingleMessageInitiation>, QXmppError>

Contains JMI object or an error if sending the propose message failed.

## Member Function Documentation

## ◆ propose() [1/2]

QXmppTask< QXmppJingleMessageInitiationManager::ProposeResult > QXmppJingleMessageInitiationManager::propose | ( | const QString & | remoteJid,
|  | const QList< QXmppJingleRtpDescription > & | descriptions )

Creates a proposal JMI element and passes it as a message.

Since
  QXmpp 1.14

## ◆ propose() [2/2]

QXmppTask< QXmppJingleMessageInitiationManager::ProposeResult > QXmppJingleMessageInitiationManager::propose | ( | const QString & | remoteJid,
|  | const QXmppJingleRtpDescription & | description )

Creates a proposal JMI element and passes it as a message.

This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.

## ◆ proposed()

Q_SIGNAL void QXmppJingleMessageInitiationManager::proposed | ( | const std::shared_ptr< QXmppJingleMessageInitiation > & | jmi,
|  | const QString & | id,
|  | const std::optional< QXmppJingleRtpDescription > & | description )

Emitted when a call has been proposed.

Parameters

  jmi | Jingle Message Initiation object of proposed session
  id | JMI element id
  description | JMI element's description containing media type (i.e., audio, video)

Deprecated

## ◆ proposeReceived()

Q_SIGNAL void QXmppJingleMessageInitiationManager::proposeReceived | ( | const std::shared_ptr< QXmppJingleMessageInitiation > & | jmi,
|  | const QString & | id,
|  | const QList< QXmppJingleRtpDescription > & | descriptions )

Emitted when a call has been proposed.

Parameters

  jmi | Jingle Message Initiation object of proposed session
  id | JMI element id
  descriptions | JMI element's description containing media type (i.e., audio, video)

Since
  QXmpp 1.14

The documentation for this class was generated from the following files:

- QXmppJingleMessageInitiationManager.h
- QXmppJingleMessageInitiationManager.cpp